# This file created by conda-build 24.9.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Sun Oct  6 01:08:04 2024
# ------------------------------------------------

package:
  name: libdeflate
  version: '1.22'
source:
  sha256: 7f343c7bf2ba46e774d8a632bf073235e1fd27723ef0a12a90f8947b7fe851d6
  url: https://github.com/ebiggers/libdeflate/archive/v1.22.tar.gz
build:
  number: '0'
  run_exports:
    - libdeflate >=1.22,<1.23.0a0
  string: h86ecc28_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.43 h4bf12b8_1
    - binutils_impl_linux-aarch64 2.43 h15a6ed9_1
    - binutils_linux-aarch64 2.43 h7726a90_1
    - bzip2 1.0.8 h4bc722e_7
    - c-ares 1.32.3 h4bc722e_0
    - ca-certificates 2024.8.30 hbcca054_0
    - cmake 3.30.4 hf9cb763_0
    - gcc_impl_linux-64 13.3.0 hfea6d02_1
    - gcc_impl_linux-aarch64 13.3.0 hf57734f_1
    - gcc_linux-aarch64 13.3.0 hea6c29e_4
    - kernel-headers_linux-64 3.10.0 he073ed8_17
    - kernel-headers_linux-aarch64 4.18.0 h05a177a_17
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.3 h659f571_0
    - ld_impl_linux-64 2.43 h712a8e2_1
    - ld_impl_linux-aarch64 2.43 h0a21ee1_1
    - libcurl 8.10.1 hbbe4b11_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 hd590300_2
    - libexpat 2.6.3 h5888daf_0
    - libgcc 14.1.0 h77fa898_1
    - libgcc-devel_linux-64 13.3.0 h84ea5a7_101
    - libgcc-devel_linux-aarch64 13.3.0 h4fbb1c0_1
    - libgcc-ng 14.1.0 h69a702a_1
    - libgomp 14.1.0 h77fa898_1
    - libnghttp2 1.58.0 h47da74e_1
    - libsanitizer 13.3.0 heb74ff8_1
    - libssh2 1.11.0 h0841786_0
    - libstdcxx 14.1.0 hc0a3c3a_1
    - libstdcxx-ng 14.1.0 h4852527_1
    - libuv 1.49.0 hb9d3cd8_0
    - libzlib 1.3.1 hb9d3cd8_2
    - make 4.4.1 hb9d3cd8_2
    - ncurses 6.5 he02047a_1
    - openssl 3.3.2 hb9d3cd8_0
    - rhash 1.4.4 hd590300_0
    - sysroot_linux-64 2.17 h4a8ded7_17
    - sysroot_linux-aarch64 2.17 h5b4a56d_17
    - tzdata 2024b hc8b5060_0
    - xz 5.2.6 h166bdaf_0
    - zstd 1.5.6 ha6fb4c9_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - libgcc 14.1.0 he277a41_1
    - libgomp 14.1.0 he277a41_1
  run:
    - libgcc >=13
test:
  commands:
    - test ! -f ${PREFIX}/lib/libdeflate.a
    - test -f ${PREFIX}/lib/libdeflate${SHLIB_EXT}
    - test -f ${PREFIX}/include/libdeflate.h
    - libdeflate-gzip -h
    - libdeflate-gunzip -h
about:
  home: https://github.com/ebiggers/libdeflate
  license: MIT
  license_file: COPYING
  summary: libdeflate is a library for fast, whole-buffer DEFLATE-based compression
    and decompression.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: azure_20241005.2.1
  recipe-maintainers:
    - dpryan79
    - hmaarrfk
    - rhpvorderman
  remote_url: https://github.com/conda-forge/libdeflate-feedstock
  sha: 3fd7d0aa389208443b72b6794b480e977e6a0893
